package model

type AgentRolePermissionGroup struct {
	Id       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	RoleId   int    `json:"role_id" xorm:"not null default 0 comment('角色id') INT(11)"`
	GroupId  int    `json:"group_id" xorm:"not null default 0 comment('权限组id') INT(11)"`
	CreateAt string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
