package dao

import "code.fnuoos.com/zhimeng/model.git/src/super/model"

type AgentListDao interface {
	GetAgentList(agentId int) (medium *model.AgentList, err error)
	AgentListInsert(m *model.AgentList) (int64, error)
	UpdateAgentList(m *model.AgentList, columns ...string) (int64, error)
	FindAgentList(name, state string, page, limit int) (list []model.AgentList, total int64, err error)
}
