package dao

import "code.fnuoos.com/zhimeng/model.git/src/super/model"

type MediumListDao interface {
	GetMediumList(mediumId int) (medium *model.MediumList, err error)
	MediumListInsert(m *model.MediumList) (int64, error)
	UpdateMediumList(m *model.MediumList, columns ...string) (int64, error)
	FindMediumList(name, state string, page, limit int) (list []model.MediumList, total int64, err error)
}
