package model

type AgentAppDomain struct {
	Domain  string `json:"domain" xorm:"not null pk comment('绑定域名') VARCHAR(100)"`
	AgentId int    `json:"agent_id" xorm:"not null comment('代理id') index unique(IDX_UUID_TYPE) INT(10)"`
	Uuid    int    `json:"uuid" xorm:"not null comment('对应APP ID编号') index unique(IDX_UUID_TYPE) INT(10)"`
	Type    string `json:"type" xorm:"not null comment('api接口域名,wap.h5域名,admin管理后台') unique(IDX_UUID_TYPE) ENUM('admin','api','wap')"`
	IsSsl   int    `json:"is_ssl" xorm:"not null default 0 comment('是否开启ssl：0否；1是') TINYINT(255)"`
}
