﻿package dao

import (
	"code.fnuoos.com/zhimeng/model.git/src/model"
	"xorm.io/xorm"
)

type AgentWithRoleDao interface {
	FindAgentWithRole(id int) (*[]model.AgentWithRole, error)
	FindAgentWithRoleByRoleId(id int) (*[]model.AgentWithRole, error)
	AgentDeleteBySessionForAdmId(session *xorm.Session, admId interface{}) (int64, error)
	GetAgentWithRoleByRole(id int) (m *model.AgentWithRole, err error)
	AgentWithRoleDeleteForRoleBySession(session *xorm.Session, roleId interface{}) (int64, error)
	AgentWithRoleDeleteBySession(session *xorm.Session, id interface{}) (int64, error)
	BatchAddAgentWithRoleBySession(session *xorm.Session, mm []*model.AgentWithRole) (int64, error)
}
