﻿package dao

import (
	"code.fnuoos.com/zhimeng/model.git/src/model"
	"xorm.io/xorm"
)

type MediumWithRoleDao interface {
	FindMediumWithRole(id int) (*[]model.MediumWithRole, error)
	FindMediumWithRoleByRoleId(id int) (*[]model.MediumWithRole, error)
	MediumDeleteBySessionForAdmId(session *xorm.Session, id interface{}) (int64, error)
	GetMediumWithRoleByRole(id int) (m *model.MediumWithRole, err error)
	MediumWithRoleDeleteForRoleBySession(session *xorm.Session, roleId interface{}) (int64, error)
	MediumWithRoleDeleteBySession(session *xorm.Session, id interface{}) (int64, error)
	BatchAddMediumWithRoleBySession(session *xorm.Session, mm []*model.MediumWithRole) (int64, error)
}
